package com.ffii.fpsms.modules.master.entity

import com.ffii.core.support.AbstractRepository
import org.springframework.stereotype.Repository
import java.util.Optional

@Repository
interface EquipmentRepository : AbstractRepository<Equipment, Long> {
    fun findAllByDeletedFalse(): List<Equipment>;
    fun findByCodeAndDeletedFalse(code: String): Equipment?
    fun findByIdAndDeletedFalse(id: Long): Equipment?;

    fun findByCodeAndDeletedIsFalse(code: String): Equipment?;

    fun findByNameAndDeletedIsFalse(name: String): Equipment?;

    fun findByDescriptionAndDeletedIsFalse(description: String): Equipment?;
}